# Constant Field Values

## Contents

- gov.nih.*
- ngs.*

## gov.nih.*

- gov.nih.nlm.ncbi.ngs.LibDependencies
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NCBI_VDB`
  `"ncbi-ngs"`
  `public static final String`
  `NGS_SDK`
  `"ngs-sdk"`

## ngs.*

- ngs.Alignment
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `all`
  `3`
  `public static final int`
  `clipLeft`
  `0`
  `public static final int`
  `clipRight`
  `1`
  `public static final int`
  `maxMapQuality`
  `8`
  `public static final int`
  `minMapQuality`
  `4`
  `public static final int`
  `noWraparound`
  `16`
  `public static final int`
  `passDuplicates`
  `2`
  `public static final int`
  `passFailed`
  `1`
  `public static final int`
  `primaryAlignment`
  `1`
  `public static final int`
  `secondaryAlignment`
  `2`
  `public static final int`
  `startWithinSlice`
  `32`
- ngs.PileupEvent
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `alignment_minus_strand`
  `32`
  `public static final int`
  `alignment_start`
  `128`
  `public static final int`
  `alignment_stop`
  `64`
  `public static final int`
  `deletion`
  `2`
  `public static final int`
  `insertion`
  `8`
  `public static final int`
  `insertion_before_deletion`
  `10`
  `public static final int`
  `insertion_before_match`
  `8`
  `public static final int`
  `insertion_before_mismatch`
  `9`
  `public static final int`
  `intron_minus`
  `2`
  `public static final int`
  `intron_plus`
  `1`
  `public static final int`
  `intron_unknown`
  `3`
  `public static final int`
  `match`
  `0`
  `public static final int`
  `mismatch`
  `1`
  `public static final int`
  `normal_indel`
  `0`
  `public static final int`
  `read_gap`
  `5`
  `public static final int`
  `read_overlap`
  `4`
  `public static final int`
  `replacement`
  `10`
- ngs.Read
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `aligned`
  `3`
  `public static final int`
  `all`
  `7`
  `public static final int`
  `fullyAligned`
  `1`
  `public static final int`
  `partiallyAligned`
  `2`
  `public static final int`
  `unaligned`
  `4`
- ngs.Statistics
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `int64`
  `2`
  `public static final int`
  `none`
  `0`
  `public static final int`
  `real`
  `4`
  `public static final int`
  `string`
  `1`
  `public static final int`
  `uint64`
  `3`